# Get-RASTemplateStatus.md

## NAME

Get-RASTemplateStatus

## SYNOPSIS

Retrieves the status of a RAS Template.

## SYNTAX

**Get-RASTemplateStatus** \[\[-[Id](#id-string)] *(uint)*] -[ObjType](#objtype) {RDSTemplate | VDITemplate | AVDTemplate} \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASTemplateStatus \[\[-[InputObject](#inputobject)] *(*[*Template*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/template.md)*)*] -[ObjType](#objtype) {RDSTemplate | VDITemplate | AVDTemplate} \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASTemplateStatus** \[\[-[Name](#name-string)] *(string)*] \[\[-[SiteId](#siteid-string)] *(uint)*] -[ObjType](#objtype) {RDSTemplate | VDITemplate | AVDTemplate} \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the status of a RAS Template.

## PARAMETERS

## Name (string)

The name of the VDI Template for which to retrieve the information.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the VDI Template. To obtain the ID, use the Get-Template cmdlet.

```
        Required?                    false

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the specified VDI Template status information.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Template](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/template.md))

An object of type Template representing the VDI Template.

To obtain the object, use the Get-Template cmdlet.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## ObjType ([Template](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/template.md))

Template object type.

Possible values: RDSTemplate, VDITemplate, AVDTemplate

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Template](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/template.md)

## OUTPUTS

[TemplateStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/templatestatus.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASTemplateStatus -ObjType VDITemplate -Name "My Template" | Format-List

Retrieves the status of the RAS VDI Template specified by name.

The Format-List cmdlet formats the display output to include all available properties.\
\*\*---------- EXAMPLE 2 ----------

Get-RASTemplateStatus -ObjType VDITemplate -Id 2 | Format-List

Retrieve the status of the RAS VDI Template with ID 2.

The Format-List cmdlet formats the display output to include the complete list of the returned properties.

## RELATED LINKS

* [Set-RASTemplate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rastemplate.md)
* [Get-RASTemplate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastemplate.md)
* [Remove-RASTemplate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rastemplate.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastemplatestatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
